RedCrawler API
Scrape V2

Bulk Comments by ID V2

Bulk fetch comments by IDs. Up to 1500 IDs. Accepts raw IDs, t1_ prefixed, or URLs.

POST /api/v2/batch/replies

Bulk fetch comments by IDs. Up to 1500 IDs. Accepts raw IDs, t1_ prefixed, or URLs.

Body parameters

NameTypeRequiredDescription
idsstringYesComma-separated comment IDs (raw, t1_ prefixed, or URLs)

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v2/batch/replies" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"ids": "t3_1sys4r2,t3_1sys51u,t3_1sys5kz"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v2/batch/replies", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "ids": "t3_1sys4r2,t3_1sys51u,t3_1sys5kz"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v2/batch/replies"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "ids": "t3_1sys4r2,t3_1sys51u,t3_1sys5kz"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "comments": [
      {
        "id": "t1_oix1056",
        "body": "Leading the way!",
        "body_richtext": "{\"document\":[{\"c\":[{\"e\":\"text\",\"t\":\"Leading the way!\"}],\"e\":\"par\"}]}",
        "body_html": null,
        "score": 233,
        "created_at": "2026-04-29T11:02:36.055000+0000",
        "author": "Great-Ad9895",
        "author_id": "t2_7ta2pq8s",
        "author_icon": "https://preview.redd.it/snoovatar/avatars/nftv2_bmZ0X2VpcDE1NToxMzdfYmZkNjcwNjY3MDUzZTUxN2E5N2FmZTU2YzkxZTRmODNmMTE2MGJkM18yODYyMTg_rare_286799c4-4cff-4412-98d4-fa93fdafe7f8-headshot.png?auto=webp&s=33ea23a517d9cf2e15019950226372173214cf75",
        "permalink": "/r/interesting/comments/1syv2e6/this_is_how_electric_cars_vs_gasoline_cars_look/oix1056/",
        "post_id": "t3_1syv2e6",
        "subreddit": "interesting",
        "subreddit_id": "t5_2qib0"
      },
      {
        "id": "t1_oiwz7hn",
        "body": "hot wheels",
        "body_richtext": "{\"document\":[{\"c\":[{\"e\":\"text\",\"t\":\"hot wheels\"}],\"e\":\"par\"}]}",
        "body_html": null,
        "score": 1785,
        "created_at": "2026-04-29T10:49:43.058000+0000",
        "author": "heisenbingus",
        "author_id": "t2_eouitci7f",
        "author_icon": "https://styles.redditmedia.com/t5_9s79xd/styles/profileIcon_4utanghe31xb1.png?frame=1&auto=webp&crop=256%3A256%2Csmart&s=5ff7d1927ed3fd3680274240e6661187da478dee",
        "permalink": "/r/interesting/comments/1syv2e6/this_is_how_electric_cars_vs_gasoline_cars_look/oiwz7hn/",
        "post_id": "t3_1syv2e6",
        "subreddit": "interesting",
        "subreddit_id": "t5_2qib0"
      }
    ],
    "count": 2,
    "requested": 2
  },
  "error": null,
  "timestamp": "2026-04-29T16:28:49.993227+00:00"
}

On this page